Bug Hunting Session
Bug 103178 - Calc crashes after adding text to a chart
Summary: Calc crashes after adding text to a chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-10-13 10:11 UTC by Xisco Faulí
Modified: 2016-11-03 21:30 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (6.81 KB, text/plain)
2016-10-14 16:49 UTC, Julien Nabet
Details
Valgrind trace (6.07 KB, application/x-bzip)
2016-10-14 19:19 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-10-13 10:11:29 UTC
Steps to reproduce:
1. Open a document containing a Chart ( ie. attachment #126608 [details] )
2. Select a Chart, press F2 and add some text
3. Click outside the chart
4. Select the same chart again, press F2 and try to add some text -> No text is added at this point ( this is a bug too, but it's probably related )
5. Close the document ( either saving or not )

Observed behaviour: Calc crashes
Expected behaviour: Calc doesn't crash

Reproduced in 

Version: 5.3.0.0.alpha0+
Build ID: ae94c223e2e21e42fc7feca72402b910e5eab5c7
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in 

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

thus, adding regression
Comment 2 Buovjaga 2016-10-13 12:36:17 UTC
Repro.
Comment 3 Julien Nabet 2016-10-14 16:49:29 UTC
Created attachment 128013 [details]
bt with symbols

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 4 Julien Nabet 2016-10-14 19:19:03 UTC
Created attachment 128015 [details]
Valgrind trace
Comment 5 Xisco Faulí 2016-10-20 13:20:39 UTC
@raal, one for you?
Comment 6 Xisco Faulí 2016-10-22 17:23:11 UTC
Regression introduced by:

author	Maxim Monastirsky <momonasmon@gmail.com>	2016-02-01 16:39:51 (GMT)
committer	Maxim Monastirsky <momonasmon@gmail.com>	2016-02-02 09:32:36 (GMT)
commit	11d605cc5a0c221d2423b6e63f502db660d085d2 (patch)
tree	018a88d0fe4e56ec0c69a40596227cb70dfdf847
parent	8b65dec8e0fdfc8564597e90aff91b971e23f7ce (diff)

tdf#84843 Stop using PseudoSlots for drawing slots
Instead of fighting with this obsolete thing, let's
just kill it. This fixes disabling in read-only doc,
as well as pressed/unpressed states.

Adding Cc: to Maxim Monastirsky
Comment 7 Robert Gonzalez MX 2016-10-22 21:29:27 UTC
Reproducible with Version: 5.3.0.0.alpha1
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
Locale: es-MX (es_MX); Calc: group
In Windows 10 and Windows XP SP3

Even without adding text, just selecting the chart and then clicking back in the spreadsheet, moving the mouse pointer or trying to save the file crashes the application.
Comment 8 Robert Gonzalez MX 2016-10-22 21:31:02 UTC
This is the Chart cash report
crashreport
http://.libreoffice.org/stats/crash_details/72890759-39d3-4f35-9dd6-b3f4f5f2c442
Comment 9 Maxim Monastirsky 2016-10-22 21:33:09 UTC
Thanks for reporting. I'll take a look.
Comment 10 Commit Notification 2016-10-22 22:34:39 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5eabed46ef3bc6754d381a0551ce070df933894

tdf#103178 Final SID can differ from the original one

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Maxim Monastirsky 2016-10-22 22:44:27 UTC
https://gerrit.libreoffice.org/30171/ for 5-2
Comment 12 Julien Nabet 2016-10-23 07:24:59 UTC
With master sources updated today (928776b734c6aa188151bbce048d5bef4486dce7), I don't reproduce this indeed.
Thank you Maxim!
Comment 13 Commit Notification 2016-11-03 21:30:54 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e40275ae189fd0dd7fd962fa86d45808abe9fa8c&h=libreoffice-5-2

tdf#103178 Final SID can differ from the original one

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.